aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrc.d/rc.sysinit10
1 files changed, 7 insertions, 3 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 3056aafc..d4400463 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -307,16 +307,20 @@ if [ -f /etc/sysconfig/readonly-root ]; then
. /etc/rc.readonly
fi
fi
-
+
+if ! [[ " $fsckoptions" =~ " -y" ]]; then
+ fsckoptions="-a $fsckoptions"
+fi
+
_RUN_QUOTACHECK=0
if [ -z "$fastboot" -a "$READONLY" != "yes" ]; then
STRING=$"Checking filesystems"
echo $STRING
if [ "${RHGB_STARTED}" != "0" -a -w /etc/rhgb/temp/rhgb-console ]; then
- fsck -T -t noopts=_netdev -A -a $fsckoptions > /etc/rhgb/temp/rhgb-console
+ fsck -T -t noopts=_netdev -A $fsckoptions > /etc/rhgb/temp/rhgb-console
else
- fsck -T -t noopts=_netdev -A -a $fsckoptions
+ fsck -T -t noopts=_netdev -A $fsckoptions
fi
rc=$?